MEMFROB(3)

NAME
memfrob - frobnicate (encrypt) a memory area

SYNOPSIS
#define _GNU_SOURCE             /* See feature_test_macros(7) */
#include <string.h>

void *memfrob(void *s, size_t n);

DESCRIPTION
The memfrob() function encrypts the first n bytes of the memory area s by exclusive-ORing each character with the number 42. The effect can be reversed by using memfrob() on the encrypted memory area.

Note that this function is not a proper encryption routine as the XOR constant is fixed, and is suitable only for hiding strings.

RETURN VALUE
The memfrob() function returns a pointer to the encrypted memory area.

CONFORMING TO
The memfrob() function is unique to the GNU C Library.

SEE ALSO
strfry(3)

COLOPHON
This page is part of release 3.53 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.